Openai Images Variations
curl --request POST \
--url https://api.deepinfra.com/v1/images/variations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form image='@example-file' \
--form 'model=<string>' \
--form 'inp={
"model": "<string>",
"image": "<string>",
"n": 1,
"response_format": "b64_json",
"size": "1024x1024",
"user": "<string>"
}' \
--form inp.0.image='@example-file'import requests
url = "https://api.deepinfra.com/v1/images/variations"
files = {
"image": ("example-file", open("example-file", "rb")),
"inp.0.image": ("example-file", open("example-file", "rb"))
}
payload = {
"model": "<string>",
"inp": "{
\"model\": \"<string>\",
\"image\": \"<string>\",
\"n\": 1,
\"response_format\": \"b64_json\",
\"size\": \"1024x1024\",
\"user\": \"<string>\"
}"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('image', '<string>');
form.append('model', '<string>');
form.append('inp', '{
"model": "<string>",
"image": "<string>",
"n": 1,
"response_format": "b64_json",
"size": "1024x1024",
"user": "<string>"
}');
form.append('inp.0.image', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.deepinfra.com/v1/images/variations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"b64_json": "<string>",
"revised_prompt": "<string>",
"url": "<string>"
}
],
"created": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Image Generation
Openai Images Variations
Generate a similar image using OpenAI Images Variations API
POST
/
v1
/
images
/
variations
Openai Images Variations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
⌘I